Android Question AndroidX for AppCompat

fbritop

Active Member
Licensed User
Do we have to use AndroidX for AppCompat? I´m having this issue after updating the SDK

B4X:
Organizing libraries.    (0.00s)
    (AndroidX SDK)
Generating R file.    (0.00s)
Compiling generated Java code.    Error
B4A line: 796
Dim s As ACSwitch = Sender
javac 1.8.0_91
src\cl\abreme\android\aacceso.java:420: error: package android.support.v7.widget does not exist
_s.setObject((android.support.v7.widget.SwitchCompat)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));

Using jdk1.8.0_91/Android-jar 28
 

angel_

Well-Known Member
Licensed User
path.jpg

I have this error with the version 9.30 BETA #4

B4X:
error: cannot access SwitchCompat
_swh.setObject((androidx.appcompat.widget.SwitchCompat)(_v.getObject()));
    ^
  class file for android.support.v7.widget.SwitchCompat not found

B4X:
#Extends: android.support.v7.app.AppCompatActivity
 
Upvote 0

angel_

Well-Known Member
Licensed User
The library "AppCompat" is in the folder: ...Basic4android\Additional Libraries

path1.jpg
 
Last edited:
Upvote 0
Top